// FiveWin - VBX Visual Basic controls management tutorial

#include "FiveWin.ch"

//----------------------------------------------------------------------------//

function Main()

   local oWnd, oVbx, oLbx
   local nGraphType := 2

   DEFINE WINDOW oWnd TITLE "Using VBXs with FiveWin"

   @ 2, 5 VBX oVbx SIZE 200, 195 ;
      FILENAME "Graph.vbx" ;
      ON CLICK MsgInfo( "Click" )

   @ 2, 35 LISTBOX oLbx VAR nGraphType ITEMS { "" } ;
      SIZE 200, 200 ;
      COLOR "N/W" ;
      ON CHANGE ( oVbx:GraphType := nGraphType - 1,;
                  oVbx:DrawMode := 2 )

   @ 19, 14 BUTTON "&PrintOut" SIZE 80, 20 ;
      ACTION oVbx:HardCopy( 5 )

   ACTIVATE WINDOW oWnd ;
      ON INIT ( oLbx:SetItems( oVbx:GetEnums( "GraphType" ) ),;
                oLbx:Select( 2 ) )

return nil

//----------------------------------------------------------------------------//
